netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
testhelper.c File Reference
`#include <signal.h>`
`#include <stdio.h>`
`#include "afpcmd.h"`
`#include "afphelper.h"`
`#include "testhelper.h"`
`#include "afpclient.h"`

## Macros
#define | SKIPPED_MSG_BUFSIZE 256

## Functions
void | test_skipped (int why)
void | test_failed_at (const char *file, int line)
void | test_nottested (void)
void | enter_test (void)
void | exit_test (char *name)

## Variables
static int | CurTestResult
static char * | Why
static char | skipped_msg_buf [SKIPPED_MSG_BUFSIZE]

## Macro Definition Documentation

## ◆ SKIPPED_MSG_BUFSIZE

#define SKIPPED_MSG_BUFSIZE 256

## Function Documentation

## ◆ enter_test()

void enter_test | ( | void |  | ) |

## ◆ exit_test()

void exit_test | ( | char * | name | ) |

## ◆ test_failed_at()

void test_failed_at | ( | const char * | file,
|  | int | line )

## ◆ test_nottested()

void test_nottested | ( | void |  | ) |

## ◆ test_skipped()

void test_skipped | ( | int | why | ) |

## Variable Documentation

## ◆ CurTestResult

int CurTestResult
| static

## ◆ skipped_msg_buf

char skipped_msg_buf[SKIPPED_MSG_BUFSIZE]
| static

## ◆ Why

char* Why
| static